<template>
  <div
    v-if="steps?.length"
    class="w-full flex gap-2"
  >
    <v-progress-linear
      v-for="(step, index) in steps"
      :key="index"
      rounded
      :size="size"
      :color="color"
      :height="height"
      :bg-color="bgColor"
      :model-value="step?.progress"
      :indeterminate="indeterminate"
    >
    </v-progress-linear>
  </div>

  <v-progress-linear
    v-else
    rounded
    :size="size"
    :color="color"
    :height="height"
    :bg-color="bgColor"
    :model-value="modelValue"
    :indeterminate="indeterminate"
  >
  </v-progress-linear>
</template>

<script setup>
defineProps({
  color: {
    type: String,
    default: 'primary',
  },
  modelValue: {
    type: Number,
    default: undefined,
  },
  size: {
    type: Number,
    default: 48,
  },
  height: {
    type: Number,
    default: 4,
  },
  indeterminate: {
    type: Boolean,
    default: false,
  },
  bgColor: {
    type: String,
    default: undefined,
  },
  steps: {
    type: Array,
    default: () => [],
  },
})
</script>